using System;
using System.Collections.Generic;
using System.Web;
using TABS.MailCarrier.WebSDK.Approval;

/// <summary>
/// Summary description for DocPersonDataSource
/// </summary>
public class DocPersonDataSource
{
    private int _totalCount;

    public DocPersonDataSource()
    {
    }

    public ApprovalDocPerson[] GetApvDocs(Guid domainId, string user, int documentType, Guid parentId, int maximumRows, int startRowIndex)
    {
        ApprovalDocuments documents = new ApprovalDocuments(domainId, user);
        return documents.GetApprovalDocuments((ApprovalDocuments.EnumDocumentType)documentType, startRowIndex / maximumRows, maximumRows, out _totalCount, parentId);
    }

    public int GetTotalCount(Guid domainId, string user, int documentType, Guid parentId)
    {
        return _totalCount;
    }
}